import { AndroidSubmissionConfig } from './AndroidSubmissionConfig';
import { ServiceAccountSource } from './ServiceAccountSource';
import { AndroidPackageSource } from './AndroidPackageSource';
import { AndroidSubmissionContext } from './types';
import { ArchiveSource } from '../archive-source';
export interface AndroidSubmissionOptions extends Pick<AndroidSubmissionConfig, 'track' | 'releaseStatus'> {
    androidPackageSource: AndroidPackageSource;
    archiveSource: ArchiveSource;
    serviceAccountSource: ServiceAccountSource;
}
declare class AndroidSubmitter {
    private ctx;
    private options;
    constructor(ctx: AndroidSubmissionContext, options: AndroidSubmissionOptions);
    submitAsync(): Promise<void>;
    private submitOnlineAsync;
    private submitOfflineAsync;
    private resolveSourceOptions;
}
export declare type AndroidOnlineSubmissionConfig = AndroidSubmissionConfig & {
    projectId: string;
};
export default AndroidSubmitter;
