import { ApiV2, User } from '@expo/xdl';
import { AndroidCredentials, Keystore } from '../credentials';
export declare class AndroidApi {
    private api;
    private shouldRefetchAll;
    private credentials;
    constructor(user: User);
    withApiClient(client: ApiV2): this;
    fetchAll(): Promise<{
        [key: string]: AndroidCredentials;
    }>;
    fetchKeystore(experienceName: string): Promise<Keystore | null>;
    fetchCredentials(experienceName: string): Promise<AndroidCredentials>;
    updateKeystore(experienceName: string, keystore: Keystore): Promise<void>;
    updateFcmKey(experienceName: string, fcmApiKey: string): Promise<void>;
    removeKeystore(experienceName: string): Promise<void>;
    private _ensureCredentialsFetched;
}
