import { ExpoConfig } from '@expo/config';
import { ApiV2, User } from '@expo/xdl';
import { AppleCtx } from '../appleApi';
import { AndroidApi } from './api/android';
import { IosApi } from './api/ios';
export interface IView {
    open(ctx: Context): Promise<IView | null>;
}
declare type AppleCtxOptions = {
    appleId?: string;
    appleIdPassword?: string;
};
declare type CtxOptions = {
    allowAnonymous?: boolean;
};
export declare class Context {
    _hasProjectContext: boolean;
    _projectDir?: string;
    _user?: User;
    _manifest?: ExpoConfig;
    _apiClient?: ApiV2;
    _iosApiClient?: IosApi;
    _androidApiClient?: AndroidApi;
    _appleCtx?: AppleCtx;
    get user(): User;
    get hasProjectContext(): boolean;
    get projectDir(): string;
    get manifest(): ExpoConfig;
    get api(): ApiV2;
    get android(): AndroidApi;
    get ios(): IosApi;
    get appleCtx(): AppleCtx;
    set manifest(value: ExpoConfig);
    hasAppleCtx(): boolean;
    ensureAppleCtx(options?: AppleCtxOptions): Promise<void>;
    logOwnerAndProject(): void;
    init(projectDir: string, options?: CtxOptions): Promise<void>;
}
export {};
