import { ProjectSettings } from '@expo/xdl';
import { Command } from 'commander';
export declare type URLOptions = {
    android?: boolean;
    ios?: boolean;
    web?: boolean;
    host?: 'lan' | 'tunnel' | 'localhost';
    tunnel?: boolean;
    lan?: boolean;
    localhost?: boolean;
};
declare function addOptions(program: Command): void;
declare function optsAsync(projectDir: string, options: any): Promise<ProjectSettings.ProjectSettings>;
declare function printQRCode(url: string): void;
declare function handleMobileOptsAsync(projectDir: string, options: Pick<URLOptions, 'ios' | 'android' | 'web'> & {
    webOnly?: boolean;
}): Promise<boolean>;
declare const _default: {
    addOptions: typeof addOptions;
    handleMobileOptsAsync: typeof handleMobileOptsAsync;
    printQRCode: typeof printQRCode;
    optsAsync: typeof optsAsync;
};
export default _default;
